---

xml-lint:
  stage: linting
  image: alpine:latest
  rules:
    - if: '$CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH'
      when: on_success
      allow_failure: false
    - if: '$CI_PIPELINE_SOURCE == "merge_request_event"'
      when: on_success
      allow_failure: false
  dependencies: []
  cache: {}
  needs: []
  interruptible: true
  before_script:
    - apk add --update --no-cache libxml2-utils
  script:
    - |
      find ./ \
        -type f \
        \( -name "*.xml" -o -name "*.xml.dist" \) -not -path "./.git/*" \
        -exec xmllint --noout {} +;
